package eligibilityroute

import (
	"bitbucket.org/nemt/nemt-portal-api/application/applicationservice"
	"bitbucket.org/nemt/nemt-portal-api/infra/config"
	"github.com/labstack/echo"
)

const (
	rootRoute = ""
)

// Register authenticate route
func Register(r *echo.Group, cfg *config.Config, svc *applicationservice.Service) {
	ctrl := controllerInstance(cfg, svc)
	r.POST(rootRoute, ctrl.handleEligibility)
}
